Bug 225204

Summary: REGRESSION (r276633): fast/mediastream/media-stream-track-interrupted.html is consistently timing out
Product: WebKit Reporter: Ryan Haddad <ryanhaddad>
Component: WebRTCAssignee: youenn fablet <youennf>
Status: RESOLVED FIXED    
Severity: Normal CC: eric.carlson, ews-watchlist, glenn, hta, jer.noble, philipj, sergio, tommyw, webkit-bot-watchers-bugzilla, webkit-bug-importer, youennf
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=224750
Attachments:
Description Flags
Patch
none
Patch for landing none

Description Ryan Haddad 2021-04-29 12:55:28 PDT
fast/mediastream/media-stream-track-interrupted.html is consistently timing out on iOS and macOS bots

--- /Volumes/Data/worker/bigsur-release-applesilicon-tests-wk2/build/layout-test-results/fast/mediastream/media-stream-track-interrupted-expected.txt
+++ /Volumes/Data/worker/bigsur-release-applesilicon-tests-wk2/build/layout-test-results/fast/mediastream/media-stream-track-interrupted-actual.txt
@@ -1,6 +1,5 @@
+#PID UNRESPONSIVE - WebKitTestRunner (pid 54657)
+FAIL: Timed out waiting for notifyDone to be called
 
-PASS Suspend/resume audio track
-PASS Create stream
-PASS Interrupt video track
-PASS Interrupt audio track
-
+#EOF
+#EOF

https://results.webkit.org/?suite=layout-tests&test=fast%2Fmediastream%2Fmedia-stream-track-interrupted.html
Comment 1 Radar WebKit Bug Importer 2021-04-29 12:55:51 PDT
<rdar://problem/77338070>
Comment 2 Ryan Haddad 2021-04-29 12:57:28 PDT
This appears to have started with https://trac.webkit.org/changeset/276633/webkit
Comment 3 youenn fablet 2021-04-30 02:21:43 PDT
Created attachment 427402 [details]
Patch
Comment 4 Eric Carlson 2021-04-30 08:00:23 PDT
Comment on attachment 427402 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=427402&action=review

> Source/WebCore/ChangeLog:12
> +        We should probably update the code to change this, but as a shot term behavior, we revert to a RecursiveLock.

s/shot/short/
Comment 5 youenn fablet 2021-05-02 23:51:56 PDT
Created attachment 427539 [details]
Patch for landing
Comment 6 EWS 2021-05-03 01:16:21 PDT
Committed r276893 (237239@main): <https://commits.webkit.org/237239@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 427539 [details].